Drupal Automated Logout Module HTML Injection Vulnerability



The Automated Logout module for Drupal is prone to an HTML-injection vulnerability because it fails to properly sanitize user-supplied input.

An attacker may leverage this issue to execute arbitrary script code in the browser of an unsuspecting user in the context of the affected site. This may allow the attacker to steal cookie-based authentication credentials and launch other attacks.

Information

Bugtraq ID: 101681
Class: Input Validation Error
CVE:
Remote: Yes
Local: No
Published: Nov 01 2017 12:00AM
Updated: Dec 03 2017 03:09AM
Credit: Nancy Wichmann
Vulnerable: Drupal Automated Logout 7.x-4.4
Drupal Automated Logout 7.x-4.3
Drupal Automated Logout 7.x-4.2
Drupal Automated Logout 7.x-4.1
Drupal Automated Logout 7.x-4.0


Not Vulnerable: Drupal Automated Logout 7.x-4.5


Exploit


An attacker can exploit this issue by enticing an unsuspecting user to follow a malicious URI.


Related Posts

Comments